[Distutils] "just use debian"

Chris Withers chris at simplistix.co.uk
Fri Oct 3 17:06:36 CEST 2008

Josselin Mouette wrote:
> This information is not accessible directly at import time. 

Two questions as answers:

- why does it need to be?

- why not?

> If you want
> to rely on it to check the API compatibility, you’ll end up doing the
> horrible things pygtk and gst-python did. And believe me, that will not
> be helpful.

It's unfortunately not a black'n'white thing...

...but if you require a particular API, just define the appropriate 
dependency in setup.py. What's the problem with that?

> Indeed, but if we change the package name without changing the file
> name, we have to make both packages conflict with each other.


> This works
> for distribution packages,

What do you mean by "distribution package"?

> but it doesn’t help for third-party addons,

Why not?

> and it can make things complicated if two packages need different APIs.

If two packages need two different versions of a third package, then 
your project is in trouble, api differences or not...

> I showed already two examples: versioned provides and exact
> dependencies. 

I don't know what either of these terms means I'm afraid :-S



Simplistix - Content Management, Zope & Python Consulting
            - http://www.simplistix.co.uk

More information about the Distutils-SIG mailing list